[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/postfix/FC-6 postfix-2.4.0-cyrus.patch, NONE, 1.1 .cvsignore, 1.22, 1.23 postfix-etc-init.d-postfix, 1.9, 1.10 postfix-sasl.conf, 1.1, 1.2 postfix.spec, 1.48, 1.49 sources, 1.22, 1.23



Author: twoerner

Update of /cvs/dist/rpms/postfix/FC-6
In directory cvs.devel.redhat.com:/tmp/cvs-serv7123

Modified Files:
	.cvsignore postfix-etc-init.d-postfix postfix-sasl.conf 
	postfix.spec sources 
Added Files:
	postfix-2.4.0-cyrus.patch 
Log Message:
- FC-6 version of postfix-2.4.5-2.fc8 without glibc-2.6.90+ fixes and lsb header


postfix-2.4.0-cyrus.patch:
 main.cf |   27 ++++++++++++++++++++++++---
 1 files changed, 24 insertions(+), 3 deletions(-)

--- NEW FILE postfix-2.4.0-cyrus.patch ---
--- postfix-2.2.5/conf/main.cf.cyrus	2005-11-11 14:57:34.000000000 +0100
+++ postfix-2.2.5/conf/main.cf	2005-11-11 14:58:09.000000000 +0100
@@ -452,7 +452,29 @@
 # the main.cf file, otherwise the SMTP server will reject mail for    
 # non-UNIX accounts with "User unknown in local recipient table".
 #
-#mailbox_transport = lmtp:unix:/file/name
+#mailbox_transport = lmtp:unix:/var/lib/imap/socket/lmtp
+
+# If using the cyrus-imapd IMAP server deliver local mail to the IMAP
+# server using LMTP (Local Mail Transport Protocol), this is prefered
+# over the older cyrus deliver program by setting the
+# mailbox_transport as below:
+#
+# mailbox_transport = lmtp:unix:/var/lib/imap/socket/lmtp
+#
+# The efficiency of LMTP delivery for cyrus-imapd can be enhanced via
+# these settings.
+#
+# local_destination_recipient_limit = 300
+# local_destination_concurrency_limit = 5
+#
+# Of course you should adjust these settings as appropriate for the
+# capacity of the hardware you are using. The recipient limit setting
+# can be used to take advantage of the single instance message store
+# capability of Cyrus. The concurrency limit can be used to control
+# how many simultaneous LMTP sessions will be permitted to the Cyrus
+# message store. 
+#
+# To use the old cyrus deliver program you have to set:
 #mailbox_transport = cyrus
 
 # The fallback_transport specifies the optional transport in master.cf
@@ -469,8 +491,7 @@
 # the main.cf file, otherwise the SMTP server will reject mail for    
 # non-UNIX accounts with "User unknown in local recipient table".
 #
-#fallback_transport = lmtp:unix:/file/name
-#fallback_transport = cyrus
+#fallback_transport = lmtp:unix:/var/lib/imap/socket/lmtp
 #fallback_transport =
 
 # The luser_relay parameter specifies an optional destination address


Index: .cvsignore
===================================================================
RCS file: /cvs/dist/rpms/postfix/FC-6/.cvsignore,v
retrieving revision 1.22
retrieving revision 1.23
diff -u -r1.22 -r1.23
--- .cvsignore	1 Sep 2006 15:01:30 -0000	1.22
+++ .cvsignore	4 Oct 2007 13:55:43 -0000	1.23
@@ -4,3 +4,4 @@
 postfix-2.3.1.tar.gz
 postfix-2.3.2.tar.gz
 postfix-2.3.3.tar.gz
+postfix-2.4.5.tar.gz


Index: postfix-etc-init.d-postfix
===================================================================
RCS file: /cvs/dist/rpms/postfix/FC-6/postfix-etc-init.d-postfix,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- postfix-etc-init.d-postfix	11 Nov 2005 14:06:11 -0000	1.9
+++ postfix-etc-init.d-postfix	4 Oct 2007 13:55:43 -0000	1.10
@@ -2,7 +2,7 @@
 #
 # postfix      Postfix Mail Transfer Agent
 #
-# chkconfig: 2345 80 30
+# chkconfig: - 80 30
 # description: Postfix is a Mail Transport Agent, which is the program \
 #              that moves mail from one machine to another.
 # processname: master
@@ -22,17 +22,22 @@
 # Source networking configuration.
 . /etc/sysconfig/network
 
-# Check that networking is up.
-[ ${NETWORKING} = "no" ] && exit 0
-
-[ -x /usr/sbin/postfix ] || exit 0
-[ -d /etc/postfix ] || exit 0
-[ -d /var/spool/postfix ] || exit 0
-
 RETVAL=0
 prog="postfix"
 
+status master >/dev/null 2>&1
+running=$?
+
+conf_check() {
+    [ -x /usr/sbin/postfix ] || exit 5
+    [ -d /etc/postfix ] || exit 6
+    [ -d /var/spool/postfix ] || exit 5
+}
+
 start() {
+	# Check that networking is up.
+	[ ${NETWORKING} = "no" ] && exit 1
+	conf_check
 	# Start daemons.
 	echo -n $"Starting postfix: "
         /usr/bin/newaliases >/dev/null 2>&1
@@ -44,6 +49,7 @@
 }
 
 stop() {
+	conf_check
         # Stop daemons.
 	echo -n $"Shutting down postfix: "
 	/usr/sbin/postfix stop 2>/dev/null 1>&2 && success || failure $"$prog stop"
@@ -54,6 +60,7 @@
 }
 
 reload() {
+	conf_check
 	echo -n $"Reloading postfix: "
 	/usr/sbin/postfix reload 2>/dev/null 1>&2 && success || failure $"$prog reload"
 	RETVAL=$?
@@ -62,38 +69,39 @@
 }
 
 abort() {
+	conf_check
 	/usr/sbin/postfix abort 2>/dev/null 1>&2 && success || failure $"$prog abort"
 	return $?
 }
 
 flush() {
+	conf_check
 	/usr/sbin/postfix flush 2>/dev/null 1>&2 && success || failure $"$prog flush"
 	return $?
 }
 
 check() {
+	conf_check
 	/usr/sbin/postfix check 2>/dev/null 1>&2 && success || failure $"$prog check"
 	return $?
 }
 
-restart() {
-	stop
-	start
-}
-
 # See how we were called.
 case "$1" in
   start)
+	[ $running -eq 0 ] && exit 0
 	start
 	;;
   stop)
+	[ $running -eq 0 ] || exit 0
 	stop
 	;;
-  restart)
+  restart|force-reload)
 	stop
 	start
 	;;
   reload)
+	[ $running -eq 0 ] || exit 7
 	reload
 	;;
   abort)
@@ -109,11 +117,13 @@
   	status master
 	;;
   condrestart)
-	[ -f /var/lock/subsys/postfix ] && restart || :
+	[ $running -eq 0 ] || exit 0
+	stop
+	start
 	;;
   *)
 	echo $"Usage: $0 {start|stop|restart|reload|abort|flush|check|status|condrestart}"
-	exit 1
+	exit 2
 esac
 
 exit $?


Index: postfix-sasl.conf
===================================================================
RCS file: /cvs/dist/rpms/postfix/FC-6/postfix-sasl.conf,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- postfix-sasl.conf	9 Sep 2004 10:37:31 -0000	1.1
+++ postfix-sasl.conf	4 Oct 2007 13:55:43 -0000	1.2
@@ -1 +1,2 @@
 pwcheck_method: saslauthd
+mech_list: plain login


Index: postfix.spec
===================================================================
RCS file: /cvs/dist/rpms/postfix/FC-6/postfix.spec,v
retrieving revision 1.48
retrieving revision 1.49
diff -u -r1.48 -r1.49
--- postfix.spec	1 Sep 2006 16:29:14 -0000	1.48
+++ postfix.spec	4 Oct 2007 13:55:43 -0000	1.49
@@ -1,5 +1,6 @@
 %define LDAP 2
 %define MYSQL 0
+%define PGSQL 0
 %define PCRE 1
 %define SASL 2
 %define TLS 1
@@ -7,12 +8,7 @@
 %define POSTDROP_GID 90
 %define PFLOGSUMM 1
 
-# On Redhat 8.0.1 and earlier, LDAP is compiled with SASL V1 and won't work
-# if postfix is compiled with SASL V2. So we drop to SASL V1 if LDAP is
-# requested but use the preferred SASL V2 if LDAP is not requested.
-# Sometime soon LDAP will build agains SASL V2 and this won't be needed.
-
-%if %{LDAP} <= 1 && %{SASL} >= 2
+%if %{LDAP} == 1 && %{SASL} >= 2
 %undefine SASL
 %define SASL 1
 %endif
@@ -24,35 +20,38 @@
 # Postfix requires one exlusive uid/gid and a 2nd exclusive gid for its own
 # use.  Let me know if the second gid collides with another package.
 # Be careful: Redhat's 'mail' user & group isn't unique!
-%define postfix_uid    89
-%define postfix_user   postfix
-%define postfix_gid    89
-%define postfix_group  postfix
-%define postdrop_group postdrop
-%define maildrop_group %{postdrop_group}
-%define maildrop_gid   %{POSTDROP_GID}
-
-%define postfix_config_dir  %{_sysconfdir}/postfix
-%define postfix_daemon_dir  %{_libexecdir}/postfix
-%define postfix_command_dir %{_sbindir}
-%define postfix_queue_dir   %{_var}/spool/postfix
-%define postfix_doc_dir     %{_docdir}/%{name}-%{version}
-%define postfix_sample_dir  %{postfix_doc_dir}/samples
-%define postfix_readme_dir  %{postfix_doc_dir}/README_FILES
+%define postfix_uid	89
+%define postfix_user	postfix
+%define postfix_gid	89
+%define postfix_group	postfix
+%define postdrop_group	postdrop
+%define maildrop_group	%{postdrop_group}
+%define maildrop_gid	%{POSTDROP_GID}
+
+%define postfix_config_dir	%{_sysconfdir}/postfix
+%define postfix_daemon_dir	%{_libexecdir}/postfix
+%define postfix_command_dir	%{_sbindir}
+%define postfix_queue_dir	%{_var}/spool/postfix
+%define postfix_doc_dir		%{_docdir}/%{name}-%{version}
+%define postfix_sample_dir	%{postfix_doc_dir}/samples
+%define postfix_readme_dir	%{postfix_doc_dir}/README_FILES
 
 Name: postfix
 Summary: Postfix Mail Transport Agent
-Version: 2.3.3
-Release: 2
+Version: 2.4.5
+Release: 2%{?dist}
 Epoch: 2
 Group: System Environment/Daemons
 URL: http://www.postfix.org
 License: IBM Public License
-PreReq: /sbin/chkconfig, /sbin/service, sh-utils
-PreReq: fileutils, textutils,
-PreReq: /usr/sbin/alternatives
-
-PreReq: %{_sbindir}/groupadd, %{_sbindir}/useradd
+Requires(post): /sbin/chkconfig
+Requires(post): %{_sbindir}/alternatives
+Requires(pre): %{_sbindir}/groupadd
+Requires(pre): %{_sbindir}/useradd
+Requires(preun): /sbin/chkconfig
+Requires(preun): /sbin/service
+Requires(preun): %{_sbindir}/alternatives
+Requires(postun): /sbin/service
 
 Provides: MTA smtpd smtpdaemon /usr/bin/newaliases
 
@@ -79,15 +78,15 @@
 Patch6: postfix-2.1.1-obsolete.patch
 Patch7: postfix-2.1.5-aliases.patch
 Patch8: postfix-large-fs.patch
-Patch9: postfix-2.2.5-cyrus.patch
+Patch9: postfix-2.4.0-cyrus.patch
 
 # Optional patches - set the appropriate environment variables to include
 #                    them when building the package/spec file
 
-BuildRoot: %{_tmppath}/%{name}-buildroot
+BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 # Determine the different packages required for building postfix
-BuildRequires: gawk, perl, sed, ed, db4-devel, pkgconfig, zlib-devel
+BuildRequires: db4-devel, pkgconfig, zlib-devel
 
 Requires: setup >= 2.5.36-1
 BuildRequires: setup >= 2.5.36-1
@@ -112,6 +111,11 @@
 BuildRequires: mysql, mysql-devel
 %endif
 
+%if %{PGSQL}
+Requires: postgresql-libs
+BuildRequires: postgresql-devel
+%endif
+
 %if %{TLS}
 Requires: openssl
 BuildRequires: openssl-devel >= 0.9.6
@@ -124,8 +128,6 @@
 TLS
 
 %prep
-umask 022
-
 %setup -q
 # Apply obligatory patches
 %patch1 -p1 -b .config
@@ -147,7 +149,7 @@
 %package pflogsumm
 Group: System Environment/Daemons
 Summary: A Log Summarizer/Analyzer for the Postfix MTA
-Requires: perl-Date-Calc
+Requires: postfix = %{epoch}:%{version}-%{release}
 %description pflogsumm
 Pflogsumm is a log analyzer/summarizer for the Postfix MTA.  It is
 designed to provide an over-view of Postfix activity. Pflogsumm
@@ -158,8 +160,6 @@
 %endif
 
 %build
-umask 022
-
 CCARGS=-fPIC
 AUXLIBS=
 
@@ -180,6 +180,10 @@
   CCARGS="${CCARGS} -DHAS_MYSQL -I/usr/include/mysql"
   AUXLIBS="${AUXLIBS} -L%{_libdir}/mysql -lmysqlclient -lm"
 %endif
+%if %{PGSQL}
+  CCARGS="${CCARGS} -DHAS_PGSQL -I/usr/include/pgsql"
+  AUXLIBS="${AUXLIBS} -lpq"
+%endif
 %if %{SASL}
   %define sasl_v1_lib_dir %{_libdir}/sasl
   %define sasl_v2_lib_dir %{_libdir}/sasl2
@@ -212,10 +216,9 @@
 make -f Makefile.init makefiles
 
 unset CCARGS AUXLIBS
-make DEBUG="" OPT="$RPM_OPT_FLAGS"
+make %{?_smp_mflags} DEBUG="" OPT="$RPM_OPT_FLAGS"
 
 %install
-umask 022
 /bin/rm -rf   $RPM_BUILD_ROOT
 /bin/mkdir -p $RPM_BUILD_ROOT
 
@@ -244,8 +247,7 @@
 
 # This installs into the /etc/rc.d/init.d directory
 /bin/mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
-install -c %{_sourcedir}/postfix-etc-init.d-postfix \
-                  $RPM_BUILD_ROOT/etc/rc.d/init.d/postfix
+install -c %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/postfix
 
 install -c auxiliary/rmail/rmail $RPM_BUILD_ROOT%{_bindir}/rmail.postfix
 
@@ -259,15 +261,11 @@
   install -c -m 755 man/man1/$i.1 $RPM_BUILD_ROOT%{_mandir}/man1/
 done
 
-# RPM compresses man pages automatically.
-# - Edit postfix-files to reflect this, so post-install won't get confused
-#   when called during package installation.
-ed $RPM_BUILD_ROOT%{postfix_config_dir}/postfix-files <<EOF || exit 1
-%s/\(\/man[158]\/.*\.[158]\):/\1.gz:/
-%s/\$config_directory\/aliases:f/\#/
-w
-q
-EOF
+## RPM compresses man pages automatically.
+## - Edit postfix-files to reflect this, so post-install won't get confused
+##   when called during package installation.
+perl -i -pe "s#(/man[158]/.*.[158]):f#\1.gz:f#" $RPM_BUILD_ROOT%{postfix_config_dir}/postfix-files
+perl -i -pe 's/\$config_directory\/aliases:f/\#/' $RPM_BUILD_ROOT%{postfix_config_dir}/postfix-files
 
 perl -i -pe 's:/cyrus/bin/deliver:/usr/lib/cyrus-imapd/deliver:' $RPM_BUILD_ROOT%{postfix_config_dir}/master.cf
 
@@ -310,8 +308,6 @@
 popd
 
 %post
-umask 022
-
 /sbin/chkconfig --add postfix
 
 # upgrade configuration files if necessary
@@ -346,13 +342,11 @@
 exit 0
 
 %preun
-umask 022
-
 if [ "$1" = 0 ]; then
     # stop postfix silently, but only if it's running
     /sbin/service postfix stop &>/dev/null
     /sbin/chkconfig --del postfix
-    /usr/sbin/alternatives --remove mta %{postfix_command_dir}/sendmail.postfix
+    %{_sbindir}/alternatives --remove mta %{postfix_command_dir}/sendmail.postfix
 fi
 
 exit 0
@@ -385,7 +379,7 @@
 %config(noreplace) %{sasl_v2_lib_dir}/smtpd.conf
 %endif
 %config(noreplace) %{_sysconfdir}/pam.d/smtp.postfix
-%attr(0755, root, root) %config /etc/rc.d/init.d/postfix
+%attr(0755, root, root) /etc/rc.d/init.d/postfix
 
 # Misc files
 
@@ -470,6 +464,39 @@
 
 
 %changelog
+* Thu Oct  4 2007 Thomas Woerner <twoerner redhat com> 2:2.4.5-2
+- made init script lsb conform (#243286)
+  but without lsb header
+- added link to postfix sasl readme into Postfix-SASL-RedHat readme
+
+* Mon Aug 13 2007 Thomas Woerner <twoerner redhat com> 2:2.4.5-1
+- new version 2.4.5
+
+* Fri Jun 15 2007 Thomas Woerner <twoerner redhat com> 2:2.4.3-3
+- added missing epoch in requirement of pflogsumm sub package
+
+* Thu Jun 14 2007 Thomas Woerner <twoerner redhat com> 2:2.4.3-2
+- diabled mysql support again (rhbz#185515)
+- added support flag for PostgreSQL build (rhbz#180579)
+  Ben: Thanks for the patch
+- Fixed remaining rewiew problems (rhbz#226307)
+
+* Tue Jun  5 2007 Thomas Woerner <twoerner redhat com> 2:2.4.3-1
+- allow to build without LDAP but SASL2 support (rhbz#216792)
+
+* Tue Jun  5 2007 Thomas Woerner <twoerner redhat com> 2:2.4.3-1
+- new stable version 2.4.3
+- enabled mysql support (rhbz#185515)
+- dropped build requirements for gawk, ed and sed
+
+* Tue Jan 23 2007 Thomas Woerner <twoerner redhat com> 2:2.3.6-1
+- new version 2.3.6
+- limiting SASL mechanisms to plain login for sasl with saslauthd (#175259)
+- dropped usage of ed in the install stage
+
+* Tue Nov  7 2006 Thomas Woerner <twoerner redhat com> 2:2.3.4-1
+- new version 2.3.4
+
 * Fri Sep  1 2006 Thomas Woerner <twoerner redhat com> 2:2.3.3-2
 - fixed upgrade procedure (#202357)
 
@@ -823,7 +850,7 @@
 
 * Wed Feb 20 2002 Bernhard Rosenkraenzer <bero redhat com> 1.1.3-2
 - listen on 127.0.0.1 only by default (#60071)
-- Put config samples in %{_docdir}/%{name}-%{version} rather than
+- Put config samples in %%{_docdir}/%%{name}-%%{version} rather than
   /etc/postfix (#60072)
 - Some spec file cleanups
 


Index: sources
===================================================================
RCS file: /cvs/dist/rpms/postfix/FC-6/sources,v
retrieving revision 1.22
retrieving revision 1.23
diff -u -r1.22 -r1.23
--- sources	1 Sep 2006 15:01:31 -0000	1.22
+++ sources	4 Oct 2007 13:55:43 -0000	1.23
@@ -1,2 +1,2 @@
 1f78fcaf2a36ec3520ecff286a45251a  pflogsumm-1.1.0.tar.gz
-f957e9319428be81c724b606fe060cc7  postfix-2.3.3.tar.gz
+ceba0cde05d12baa0ba2ed69fbb96b42  postfix-2.4.5.tar.gz


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]